diff --git a/scripts/install.sh b/scripts/install.sh
new file mode 100755
index 00000000..db5a8b63
--- /dev/null
+++ b/scripts/install.sh
@@ -0,0 +1,374 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+repository="${HIVE_RELEASE_REPOSITORY:-ivankuznetsov/hive}"
+requested_version=""
+update=false
+uninstall=false
+assume_yes=false
+destination="${HIVE_BIN_DIR:-${HOME}/.local/bin}"
+base_url="${HIVE_INSTALL_BASE_URL:-https://github.com/${repository}/releases/download}"
+
+usage() {
+  echo "usage: install.sh [--version X.Y.Z] [--update] [--uninstall] [--yes] [--dest-dir PATH]"
+}
+
+while (($#)); do
+  case "$1" in
+    --version) requested_version="${2:-}"; shift 2 ;;
+    --update) update=true; shift ;;
+    --uninstall) uninstall=true; shift ;;
+    --yes) assume_yes=true; shift ;;
+    --dest-dir) destination="${2:-}"; shift 2 ;;
+    -h|--help) usage; exit 0 ;;
+    *) echo "hive installer: unknown argument $1" >&2; usage >&2; exit 64 ;;
+  esac
+done
+
+data_home="${XDG_DATA_HOME:-${HOME}/.local/share}/hive"
+receipt="${data_home}/install-receipt.yml"
+uninstaller="${data_home}/uninstall-shell.sh"
+installed_installer="${data_home}/install.sh"
+
+temporary="$(mktemp -d "${TMPDIR:-/tmp}/hive-install.XXXXXX")"
+trap 'rm -rf "${temporary}"' EXIT
+
+sha256_file() {
+  if command -v sha256sum >/dev/null 2>&1; then
+    sha256sum "$1" | awk '{print $1}'
+  elif command -v shasum >/dev/null 2>&1; then
+    shasum -a 256 "$1" | awk '{print $1}'
+  else
+    echo "hive installer: sha256sum or shasum is required" >&2
+    exit 69
+  fi
+}
+
+receipt_value() {
+  [[ -f "${receipt}" ]] || return 0
+  sed -n "s/^$1: //p" "${receipt}" | head -n 1
+}
+
+receipt_manages() {
+  [[ -f "${receipt}" ]] && grep -Fqx "  - $1" "${receipt}"
+}
+
+verify_installed_helper() {
+  path_key="$1"
+  digest_key="$2"
+  expected_name="$3"
+  path="$(receipt_value "${path_key}")"
+  expected="$(receipt_value "${digest_key}")"
+  if [[ "${path}" != "${data_home}/${expected_name}" || ! "${expected}" =~ ^[a-f0-9]{64}$ ||
+        ! -f "${path}" || -L "${path}" || "$(sha256_file "${path}")" != "${expected}" ]]; then
+    echo "hive installer: ${expected_name} failed receipt ownership verification; reinstall Hive" >&2
+    exit 78
+  fi
+  if ! receipt_manages "${path}"; then
+    echo "hive installer: ${expected_name} failed receipt ownership verification; reinstall Hive" >&2
+    exit 78
+  fi
+}
+
+if ${uninstall}; then
+  [[ "$(receipt_value schema_version)" == "1" && "$(receipt_value channel)" == "shell" ]] || {
+    echo "hive installer: valid shell uninstall receipt is missing" >&2
+    exit 78
+  }
+  verify_installed_helper uninstaller uninstaller_sha256 uninstall-shell.sh
+  if ${assume_yes}; then
+    exec "${uninstaller}" --yes
+  else
+    exec "${uninstaller}"
+  fi
+fi
+
+case "$(uname -s)-$(uname -m)" in
+  Darwin-arm64) target="darwin-arm64" ;;
+  Linux-x86_64|Linux-amd64) target="linux-x86_64" ;;
+  *)
+    echo "hive installer: unsupported OS/architecture $(uname -s)/$(uname -m)" >&2
+    exit 64
+    ;;
+esac
+
+download() {
+  source_url="$1"
+  output="$2"
+  case "${source_url}" in
+    file://*) cp "${source_url#file://}" "${output}" ;;
+    *)
+      if command -v curl >/dev/null 2>&1; then
+        curl --fail --location --silent --show-error \
+          --connect-timeout 10 --max-time 120 \
+          --retry 3 --retry-delay 1 --retry-all-errors \
+          "${source_url}" --output "${output}"
+      elif command -v wget >/dev/null 2>&1; then
+        wget -q --timeout=30 --tries=3 "${source_url}" -O "${output}"
+      else
+        echo "hive installer: curl or wget is required" >&2
+        exit 69
+      fi
+      ;;
+  esac
+}
+
+if [[ -n "${requested_version}" ]]; then
+  [[ "${requested_version}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || {
+    echo "hive installer: version must be strict semver" >&2
+    exit 64
+  }
+  release_root="${base_url}/v${requested_version}"
+else
+  if [[ -n "${HIVE_INSTALL_BASE_URL:-}" ]]; then
+    release_root="${base_url}/latest"
+  else
+    release_root="https://github.com/${repository}/releases/latest/download"
+  fi
+fi
+
+manifest="${temporary}/release-manifest.json"
+download "${release_root}/release-manifest.json" "${manifest}"
+version="${requested_version}"
+if [[ -z "${version}" ]]; then
+  version="$(sed -n 's/^[[:space:]]*"version": "\([^"]*\)",*$/\1/p' "${manifest}" | head -n 1)"
+fi
+[[ "${version}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || {
+  echo "hive installer: manifest contains an invalid version" >&2
+  exit 65
+}
+
+asset="hive-${version}-${target}.tar.gz"
+record="$(awk -v wanted="${target}" '
+  /"target":/ { selected = index($0, "\"" wanted "\"") > 0 }
+  selected { print }
+  selected && /"minimum_os":/ { exit }
+' "${manifest}")"
+manifest_asset="$(printf '%s\n' "${record}" | sed -n 's/^[[:space:]]*"asset": "\([^"]*\)",*$/\1/p')"
+expected_sha="$(printf '%s\n' "${record}" | sed -n 's/^[[:space:]]*"sha256": "\([a-f0-9]*\)",*$/\1/p')"
+expected_size="$(printf '%s\n' "${record}" | sed -n 's/^[[:space:]]*"size": \([0-9]*\),*$/\1/p')"
+if [[ "${manifest_asset}" != "${asset}" || ! "${expected_sha}" =~ ^[a-f0-9]{64}$ ||
+      ! "${expected_size}" =~ ^[1-9][0-9]*$ ]]; then
+  echo "hive installer: target is absent or invalid in the checksum manifest" >&2
+  exit 65
+fi
+
+archive="${temporary}/${asset}"
+download "${release_root}/${asset}" "${archive}"
+actual_sha="$(sha256_file "${archive}")"
+actual_size="$(wc -c < "${archive}" | tr -d ' ')"
+if [[ "${actual_sha}" != "${expected_sha}" || "${actual_size}" != "${expected_size}" ]]; then
+  echo "hive installer: SHA-256 verification failed" >&2
+  exit 65
+fi
+
+tar -xzf "${archive}" -C "${temporary}"
+candidate="${temporary}/hive-${version}/bin/hv"
+[[ -x "${candidate}" ]] || { echo "hive installer: archive has no executable hv" >&2; exit 65; }
+[[ "$("${candidate}" --version)" == "${version}" ]] || {
+  echo "hive installer: packaged executable version check failed" >&2
+  exit 65
+}
+
+manifest_shell_record() {
+  wanted="$1"
+  awk -v wanted="${wanted}" '
+    $0 ~ "\"asset\": \"" wanted "\"" { selected = 1 }
+    selected { print }
+    selected && /^[[:space:]]*}/ { exit }
+  ' "${manifest}"
+}
+
+for helper in install.sh uninstall-shell.sh; do
+  helper_record="$(manifest_shell_record "${helper}")"
+  helper_sha="$(printf '%s\n' "${helper_record}" | sed -n 's/^[[:space:]]*"sha256": "\([a-f0-9]*\)",*$/\1/p')"
+  helper_size="$(printf '%s\n' "${helper_record}" | sed -n 's/^[[:space:]]*"size": \([0-9]*\),*$/\1/p')"
+  if [[ ! "${helper_sha}" =~ ^[a-f0-9]{64}$ || ! "${helper_size}" =~ ^[1-9][0-9]*$ ]]; then
+    echo "hive installer: ${helper} is absent or invalid in the checksum manifest" >&2
+    exit 65
+  fi
+  download "${release_root}/${helper}" "${temporary}/${helper}"
+  if [[ "$(sha256_file "${temporary}/${helper}")" != "${helper_sha}" ||
+        "$(wc -c < "${temporary}/${helper}" | tr -d ' ')" != "${helper_size}" ]]; then
+    echo "hive installer: SHA-256 verification failed for ${helper}" >&2
+    exit 65
+  fi
+  if [[ "${helper}" == "install.sh" ]]; then
+    installer_sha="${helper_sha}"
+  else
+    uninstaller_sha="${helper_sha}"
+  fi
+done
+
+mkdir -p "${destination}" "${data_home}"
+
+owns_hv=false
+owns_alias=false
+owns_installer=false
+owns_uninstaller=false
+owns_receipt=false
+if [[ -f "${receipt}" && "$(receipt_value schema_version)" == "1" &&
+      "$(receipt_value channel)" == "shell" &&
+      "$(receipt_value executable)" == "${destination}/hv" ]]; then
+  old_hv_sha="$(receipt_value executable_sha256)"
+  if receipt_manages "${destination}/hv" && [[ "${old_hv_sha}" =~ ^[a-f0-9]{64}$ &&
+       -f "${destination}/hv" && ! -L "${destination}/hv" &&
+       "$(sha256_file "${destination}/hv")" == "${old_hv_sha}" ]]; then
+    owns_hv=true
+  fi
+  if receipt_manages "${destination}/hive" &&
+     [[ -L "${destination}/hive" && "$(readlink "${destination}/hive")" == "hv" ]]; then
+    owns_alias=true
+  fi
+  old_installer_sha="$(receipt_value installer_sha256)"
+  if receipt_manages "${installed_installer}" && [[ "$(receipt_value installer)" == "${installed_installer}" &&
+       "${old_installer_sha}" =~ ^[a-f0-9]{64}$ && -f "${installed_installer}" &&
+       ! -L "${installed_installer}" && "$(sha256_file "${installed_installer}")" == "${old_installer_sha}" ]]; then
+    owns_installer=true
+  fi
+  old_uninstaller_sha="$(receipt_value uninstaller_sha256)"
+  if receipt_manages "${uninstaller}" && [[ "$(receipt_value uninstaller)" == "${uninstaller}" &&
+       "${old_uninstaller_sha}" =~ ^[a-f0-9]{64}$ && -f "${uninstaller}" &&
+       ! -L "${uninstaller}" && "$(sha256_file "${uninstaller}")" == "${old_uninstaller_sha}" ]]; then
+    owns_uninstaller=true
+  fi
+  receipt_manages "${receipt}" && owns_receipt=true
+fi
+
+if [[ -e "${destination}/hv" || -L "${destination}/hv" ]] && ! ${owns_hv}; then
+  echo "hive installer: refusing to overwrite foreign ${destination}/hv" >&2
+  exit 73
+fi
+for owned_pair in \
+  "${installed_installer}:${owns_installer}" \
+  "${uninstaller}:${owns_uninstaller}" \
+  "${receipt}:${owns_receipt}"; do
+  owned_path="${owned_pair%:*}"
+  owned_value="${owned_pair##*:}"
+  if [[ -e "${owned_path}" || -L "${owned_path}" ]] && ! ${owned_value}; then
+    echo "hive installer: refusing to overwrite unowned ${owned_path}" >&2
+    exit 73
+  fi
+done
+
+selected_command="hive"
+install_alias=true
+if [[ -e "${destination}/hive" || -L "${destination}/hive" ]]; then
+  if ! ${owns_alias}; then
+    selected_command="hv"
+    install_alias=false
+  fi
+else
+  existing_hive="$(command -v hive 2>/dev/null || true)"
+  if [[ -n "${existing_hive}" ]]; then
+    selected_command="hv"
+    install_alias=false
+  fi
+fi
+
+staged_hv="${destination}/.hv.new-$$"
+staged_installer="${data_home}/.install.sh.new-$$"
+staged_uninstaller="${data_home}/.uninstall-shell.sh.new-$$"
+staged_receipt="${data_home}/.install-receipt.yml.new-$$"
+staged_alias="${destination}/.hive.new-$$"
+cp "${candidate}" "${staged_hv}"
+cp "${temporary}/install.sh" "${staged_installer}"
+cp "${temporary}/uninstall-shell.sh" "${staged_uninstaller}"
+chmod 0755 "${staged_hv}" "${staged_installer}" "${staged_uninstaller}"
+executable_sha="$(sha256_file "${staged_hv}")"
+
+cat > "${staged_receipt}" <<EOF
+schema_version: 1
+channel: shell
+package: hive
+command_name: ${selected_command}
+executable: ${destination}/hv
+executable_sha256: ${executable_sha}
+release_source: ${release_root}
+installer: ${installed_installer}
+installer_sha256: ${installer_sha}
+uninstaller: ${uninstaller}
+uninstaller_sha256: ${uninstaller_sha}
+managed_files:
+  - ${destination}/hv
+  - ${installed_installer}
+  - ${uninstaller}
+  - ${receipt}
+EOF
+if ${install_alias}; then
+  printf '  - %s\n' "${destination}/hive" >> "${staged_receipt}"
+  ln -s hv "${staged_alias}"
+fi
+chmod 0600 "${staged_receipt}"
+
+[[ "$("${staged_hv}" --version)" == "${version}" ]] || {
+  echo "hive installer: staged executable version check failed" >&2
+  exit 65
+}
+
+targets=( "${installed_installer}" "${uninstaller}" "${receipt}" )
+staged=( "${staged_installer}" "${staged_uninstaller}" "${staged_receipt}" )
+actions=( replace replace replace )
+if ${install_alias}; then
+  targets+=( "${destination}/hive" )
+  staged+=( "${staged_alias}" )
+  actions+=( replace )
+elif ${owns_alias}; then
+  targets+=( "${destination}/hive" )
+  staged+=( "" )
+  actions+=( remove )
+fi
+targets+=( "${destination}/hv" )
+staged+=( "${staged_hv}" )
+actions+=( replace )
+
+existed=()
+for index in "${!targets[@]}"; do
+  target_path="${targets[$index]}"
+  backup_path="${target_path}.hive-backup-$$"
+  rm -f "${backup_path}"
+  if [[ -e "${target_path}" || -L "${target_path}" ]]; then
+    cp -a "${target_path}" "${backup_path}"
+    existed[$index]=true
+  else
+    existed[$index]=false
+  fi
+done
+
+commit_failed=false
+set +e
+for index in "${!targets[@]}"; do
+  if [[ "${actions[$index]}" == "replace" ]]; then
+    mv -f "${staged[$index]}" "${targets[$index]}" || { commit_failed=true; break; }
+  else
+    rm -f "${targets[$index]}" || { commit_failed=true; break; }
+  fi
+done
+set -e
+
+if ${commit_failed}; then
+  set +e
+  for index in "${!targets[@]}"; do
+    rm -f "${targets[$index]}"
+    if ${existed[$index]}; then
+      mv -f "${targets[$index]}.hive-backup-$$" "${targets[$index]}"
+    fi
+  done
+  set -e
+  echo "hive installer: install transaction failed; previous installation restored" >&2
+  exit 74
+fi
+
+for target_path in "${targets[@]}"; do
+  rm -f "${target_path}.hive-backup-$$"
+done
+
+echo "hive ${version} installed as ${selected_command} in ${destination}"
+case ":${PATH}:" in
+  *":${destination}:"*) ;;
+  *) echo "Add ${destination} to PATH before invoking ${selected_command}." ;;
+esac
+
+for tool in git bash claude gh jq; do
+  command -v "${tool}" >/dev/null 2>&1 || echo "Optional dependency missing: ${tool} (install it separately)." >&2
+done
diff --git a/scripts/package-release b/scripts/package-release
new file mode 100755
index 00000000..02e13c9b
--- /dev/null
+++ b/scripts/package-release
@@ -0,0 +1,95 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+root="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)"
+version=""
+build_dir="${root}/build"
+dist_dir="${root}/dist"
+
+while (($#)); do
+  case "$1" in
+    --version) version="${2:-}"; shift 2 ;;
+    --build-dir) build_dir="${2:-}"; shift 2 ;;
+    --dist-dir) dist_dir="${2:-}"; shift 2 ;;
+    *) echo "package-release: unknown argument: $1" >&2; exit 64 ;;
+  esac
+done
+
+if [[ ! "${version}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; then
+  echo "package-release: --version must be strict semver" >&2
+  exit 64
+fi
+
+repository="${HIVE_RELEASE_REPOSITORY:-}"
+if [[ ! "${repository}" =~ ^[^/]+/[^/]+$ ]]; then
+  echo "package-release: HIVE_RELEASE_REPOSITORY must be org/repository" >&2
+  exit 64
+fi
+
+source "${root}/packaging/tebako/versions.env"
+mkdir -p "${dist_dir}"
+temporary="$(mktemp -d "${TMPDIR:-/tmp}/hive-package.XXXXXX")"
+trap 'rm -rf "${temporary}"' EXIT
+records="${temporary}/targets.tsv"
+: > "${records}"
+
+for target in darwin-arm64 linux-x86_64; do
+  binary="${build_dir}/hive-${target}"
+  [[ -f "${binary}" ]] || continue
+  case "${target}" in
+    darwin-arm64) minimum_os="macOS 13" ;;
+    linux-x86_64) minimum_os="Ubuntu 22.04 / Arch" ;;
+    *) echo "package-release: unexpected target ${target}" >&2; exit 64 ;;
+  esac
+
+  stage="${temporary}/${target}/hive-${version}"
+  mkdir -p "${stage}/bin" "${stage}/share/hive"
+  cp "${binary}" "${stage}/bin/hv"
+  chmod 0755 "${stage}/bin/hv"
+  ln -s hv "${stage}/bin/hive"
+  cp "${root}/LICENSE" "${stage}/LICENSE"
+  cp "${root}/packaging/receipt-template.yml" "${stage}/share/hive/receipt-template.yml"
+  cp -R "${root}/assets/shared/." "${stage}/share/hive/"
+  cp -R "${root}/assets/project" "${stage}/share/hive/project"
+
+  asset="hive-${version}-${target}.tar.gz"
+  tar -C "${temporary}/${target}" -czf "${dist_dir}/${asset}" "hive-${version}"
+  sha="$(sha256sum "${dist_dir}/${asset}" | awk '{print $1}')"
+  size="$(wc -c < "${dist_dir}/${asset}" | tr -d ' ')"
+  url="https://github.com/${repository}/releases/download/v${version}/${asset}"
+  printf '%s\t%s\t%s\t%s\t%s\t%s\n' "${target}" "${asset}" "${url}" "${sha}" "${size}" "${minimum_os}" >> "${records}"
+done
+
+[[ -s "${records}" ]] || { echo "package-release: no target binaries found" >&2; exit 66; }
+cp "${root}/scripts/install.sh" "${root}/scripts/uninstall-shell.sh" "${dist_dir}/"
+chmod 0755 "${dist_dir}/install.sh" "${dist_dir}/uninstall-shell.sh"
+
+ruby -rjson -e '
+  require "digest"
+  version, repository, ruby_version, records, dist, output = ARGV
+  targets = File.readlines(records, chomp: true).map do |line|
+    target, asset, url, sha, size, minimum_os = line.split("\t", 6)
+    { "target" => target, "asset" => asset, "url" => url, "sha256" => sha,
+      "size" => Integer(size), "minimum_os" => minimum_os }
+  end
+  manifest = {
+    "schema_version" => 1, "version" => version, "tag" => "v#{version}",
+    "repository" => repository, "ruby_version" => ruby_version,
+    "installer_compatibility" => 1, "targets" => targets.sort_by { |row| row["target"] },
+    "shell_assets" => %w[install.sh uninstall-shell.sh].map do |asset|
+      path = File.join(dist, asset)
+      {
+        "asset" => asset,
+        "url" => "https://github.com/#{repository}/releases/download/v#{version}/#{asset}",
+        "sha256" => Digest::SHA256.file(path).hexdigest,
+        "size" => File.size(path)
+      }
+    end
+  }
+  File.write(output, JSON.pretty_generate(manifest) + "\n")
+' "${version}" "${repository}" "${RUBY_VERSION}" "${records}" "${dist_dir}" "${dist_dir}/release-manifest.json"
+
+(
+  cd "${dist_dir}"
+  sha256sum hive-"${version}"-*.tar.gz install.sh uninstall-shell.sh release-manifest.json > SHA256SUMS
+)
diff --git a/scripts/publish-packages b/scripts/publish-packages
new file mode 100755
index 00000000..f36dd7d1
--- /dev/null
+++ b/scripts/publish-packages
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+manifest=""
+while (($#)); do
+  case "$1" in
+    --manifest) manifest="${2:-}"; shift 2 ;;
+    *) echo "publish-packages: unknown argument $1" >&2; exit 64 ;;
+  esac
+done
+[[ -f "${manifest}" ]] || { echo "publish-packages: manifest is required" >&2; exit 64; }
+: "${HOMEBREW_TAP_DIR:?set HOMEBREW_TAP_DIR to a checked-out tap repository}"
+: "${AUR_REPO_DIR:?set AUR_REPO_DIR to a checked-out hive-bin AUR repository}"
+
+root="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)"
+temporary="$(mktemp -d "${TMPDIR:-/tmp}/hive-packages.XXXXXX")"
+trap 'rm -rf "${temporary}"' EXIT
+"${root}/scripts/verify-release" --manifest "${manifest}" --remote
+"${root}/scripts/render-packages" --manifest "${manifest}" --output-dir "${temporary}"
+
+mkdir -p "${HOMEBREW_TAP_DIR}/Formula"
+cp "${temporary}/homebrew/Formula/hive.rb" "${HOMEBREW_TAP_DIR}/Formula/hive.rb"
+cp "${temporary}/aur/PKGBUILD" "${temporary}/aur/.SRCINFO" \
+  "${temporary}/aur/hive-bin.install" "${AUR_REPO_DIR}/"
+echo "Package metadata rendered after release asset verification; commit and push each downstream repository."
diff --git a/scripts/render-packages b/scripts/render-packages
new file mode 100755
index 00000000..950c20e1
--- /dev/null
+++ b/scripts/render-packages
@@ -0,0 +1,181 @@
+#!/usr/bin/env ruby
+
+require "fileutils"
+require "json"
+require "optparse"
+
+options = { output_dir: File.expand_path("../packaging", __dir__) }
+OptionParser.new do |parser|
+  parser.on("--manifest PATH") { |value| options[:manifest] = value }
+  parser.on("--output-dir PATH") { |value| options[:output_dir] = value }
+end.parse!
+abort "render-packages: --manifest is required" unless options[:manifest]
+
+manifest = JSON.parse(File.read(options[:manifest]))
+version = manifest.fetch("version")
+repository = manifest.fetch("repository")
+darwin = manifest.fetch("targets").find { |row| row["target"] == "darwin-arm64" } or abort "missing darwin-arm64"
+linux = manifest.fetch("targets").find { |row| row["target"] == "linux-x86_64" } or abort "missing linux-x86_64"
+
+formula = <<~RUBY
+  class Hive < Formula
+    desc "Agent-driven software delivery pipeline"
+    homepage "https://github.com/#{repository}"
+    version "#{version}"
+    url "#{darwin.fetch('url')}"
+    sha256 "#{darwin.fetch('sha256')}"
+
+    def install
+      libexec.install Dir["*"]
+      path_hive = ENV.fetch("PATH", "").split(File::PATH_SEPARATOR)
+                     .map { |directory| Pathname(directory)/"hive" }
+                     .find(&:executable?)
+      prefix_hive = HOMEBREW_PREFIX/"bin/hive"
+      prefix_hv = HOMEBREW_PREFIX/"bin/hv"
+      candidates = [ path_hive, (prefix_hive if prefix_hive.exist? || prefix_hive.symlink?) ].compact
+      owned_prefix_hive = prefix_hive.symlink? && prefix_hv.exist? &&
+                          prefix_hive.realpath == prefix_hv.realpath
+      foreign_hive = candidates.any? do |candidate|
+        !owned_prefix_hive || !File.identical?(candidate, prefix_hive)
+      rescue Errno::ENOENT
+        true
+      end
+      selected_command = foreign_hive ? "hv" : "hive"
+
+      receipt = share/"hive/install-receipt.yml"
+      receipt.dirname.mkpath
+      receipt.write <<~YAML
+        schema_version: 1
+        channel: homebrew
+        package: #{repository}/hive
+        command_name: \#{selected_command}
+        executable: \#{opt_bin}/hv
+        release_source: #{darwin.fetch('url')}
+        managed_files:
+          - \#{opt_bin}/hv
+      YAML
+      (bin/"hv").write <<~SH
+        #!/bin/sh
+        HIVE_INSTALL_RECEIPT="\#{receipt}" exec "\#{libexec}/bin/hv" "$@"
+      SH
+      chmod 0755, bin/"hv"
+      bin.install_symlink "hv" => "hive" if selected_command == "hive"
+    end
+
+    def post_install
+      %w[git bash claude gh jq].each do |tool|
+        opoo "Optional Hive dependency missing: \#{tool}. Install it separately." unless which(tool)
+      end
+    end
+
+    service do
+      run [ opt_bin/"hv", "daemon", "start" ]
+      keep_alive false
+      log_path var/"log/hive.log"
+      error_log_path var/"log/hive.log"
+    end
+
+    test do
+      assert_equal version.to_s, shell_output("\#{bin}/hv --version").strip
+    end
+  end
+RUBY
+
+pkgbuild = <<~BASH
+  # Maintainer: Hive release automation
+  pkgname=hive-bin
+  pkgver=#{version}
+  pkgrel=1
+  pkgdesc='Agent-driven software delivery pipeline (prebuilt)'
+  arch=('x86_64')
+  url='https://github.com/#{repository}'
+  license=('MIT')
+  depends=('glibc')
+  provides=('hive')
+  install=hive-bin.install
+  source_x86_64=('hive-'${pkgver}'-linux-x86_64.tar.gz::#{linux.fetch('url')}')
+  sha256sums_x86_64=('#{linux.fetch('sha256')}')
+
+  package() {
+    install -Dm755 "$srcdir/hive-$pkgver/bin/hv" "$pkgdir/usr/lib/hive/hv"
+    install -Dm644 "$srcdir/hive-$pkgver/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+    install -Dm644 /dev/stdin "$pkgdir/usr/share/hive/install-receipt.yml" <<EOF
+  schema_version: 1
+  channel: aur
+  package: hive-bin
+  command_name: hv
+  executable: /usr/bin/hv
+  release_source: #{linux.fetch('url')}
+  managed_files:
+    - /usr/bin/hv
+  EOF
+    install -Dm755 /dev/stdin "$pkgdir/usr/bin/hv" <<'EOF'
+  #!/bin/sh
+  HIVE_INSTALL_RECEIPT=/usr/share/hive/install-receipt.yml exec /usr/lib/hive/hv "$@"
+  EOF
+  }
+BASH
+
+srcinfo = <<~INFO
+  pkgbase = hive-bin
+    pkgdesc = Agent-driven software delivery pipeline (prebuilt)
+    pkgver = #{version}
+    pkgrel = 1
+    url = https://github.com/#{repository}
+    arch = x86_64
+    license = MIT
+    depends = glibc
+    provides = hive
+    install = hive-bin.install
+    source_x86_64 = hive-#{version}-linux-x86_64.tar.gz::#{linux.fetch('url')}
+    sha256sums_x86_64 = #{linux.fetch('sha256')}
+
+  pkgname = hive-bin
+INFO
+
+  install_hook = <<~BASH
+  post_install() {
+    if [ -e /usr/bin/hive ] || [ -L /usr/bin/hive ]; then
+      sed -i 's/^command_name: hive$/command_name: hv/' /usr/share/hive/install-receipt.yml
+      echo "Hive installed as hv; preserving existing hive command."
+    elif command -v hive >/dev/null 2>&1; then
+      echo "Hive installed as hv; preserving existing hive command."
+    else
+      ln -s /usr/bin/hv /usr/bin/hive
+      sed -i 's/^command_name: hv$/command_name: hive/' /usr/share/hive/install-receipt.yml
+    fi
+    for tool in git bash claude gh jq; do
+      command -v "$tool" >/dev/null 2>&1 ||
+        echo "Optional Hive dependency missing: $tool. Install it separately."
+    done
+    echo "Run hive init (or hv init) to register the user daemon; package installation does not start it."
+  }
+
+  pre_upgrade() {
+    if [ -L /usr/bin/hive ] && [ "$(readlink /usr/bin/hive)" = "/usr/bin/hv" ]; then
+      rm -f /usr/bin/hive
+    fi
+  }
+
+  post_upgrade() {
+    post_install
+  }
+
+  pre_remove() {
+    if [ -L /usr/bin/hive ] && [ "$(readlink /usr/bin/hive)" = "/usr/bin/hv" ]; then
+      rm -f /usr/bin/hive
+    fi
+  }
+BASH
+
+files = {
+  "homebrew/Formula/hive.rb" => formula,
+  "aur/PKGBUILD" => pkgbuild,
+  "aur/.SRCINFO" => srcinfo,
+  "aur/hive-bin.install" => install_hook
+}
+files.each do |relative, content|
+  path = File.join(options[:output_dir], relative)
+  FileUtils.mkdir_p(File.dirname(path))
+  File.write(path, content)
+end
diff --git a/scripts/uninstall-shell.sh b/scripts/uninstall-shell.sh
new file mode 100755
index 00000000..e7d129fd
--- /dev/null
+++ b/scripts/uninstall-shell.sh
@@ -0,0 +1,69 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+assume_yes=false
+while (($#)); do
+  case "$1" in
+    --yes) assume_yes=true; shift ;;
+    *) echo "hive shell uninstaller: unknown argument $1" >&2; exit 64 ;;
+  esac
+done
+
+data_home="${XDG_DATA_HOME:-${HOME}/.local/share}/hive"
+receipt="${data_home}/install-receipt.yml"
+[[ -f "${receipt}" ]] || { echo "hive shell uninstaller: receipt missing" >&2; exit 78; }
+schema_version="$(sed -n 's/^schema_version: //p' "${receipt}")"
+channel="$(sed -n 's/^channel: //p' "${receipt}")"
+[[ "${schema_version}" == "1" && "${channel}" == "shell" ]] || {
+  echo "hive shell uninstaller: receipt is not a supported shell receipt" >&2
+  exit 78
+}
+executable="$(sed -n 's/^executable: //p' "${receipt}")"
+expected_executable_sha="$(sed -n 's/^executable_sha256: //p' "${receipt}")"
+expected_uninstaller_sha="$(sed -n 's/^uninstaller_sha256: //p' "${receipt}")"
+receipt_uninstaller="$(sed -n 's/^uninstaller: //p' "${receipt}")"
+
+sha256_file() {
+  if command -v sha256sum >/dev/null 2>&1; then
+    sha256sum "$1" | awk '{print $1}'
+  elif command -v shasum >/dev/null 2>&1; then
+    shasum -a 256 "$1" | awk '{print $1}'
+  else
+    echo "hive shell uninstaller: sha256sum or shasum is required" >&2
+    exit 69
+  fi
+}
+
+managed() {
+  grep -Fqx "  - $1" "${receipt}"
+}
+
+if [[ "${receipt_uninstaller}" != "$0" || -L "$0" ||
+      ! "${expected_uninstaller_sha}" =~ ^[a-f0-9]{64}$ ||
+      "$(sha256_file "$0")" != "${expected_uninstaller_sha}" ]] || ! managed "$0"; then
+  echo "hive shell uninstaller: uninstaller ownership verification failed" >&2
+  exit 78
+fi
+if [[ ! "${expected_executable_sha}" =~ ^[a-f0-9]{64}$ || ! -f "${executable}" ||
+      -L "${executable}" || "$(sha256_file "${executable}")" != "${expected_executable_sha}" ]] ||
+   ! managed "${executable}"; then
+  echo "hive shell uninstaller: executable ownership verification failed" >&2
+  exit 78
+fi
+
+if ! ${assume_yes}; then
+  printf 'Remove the shell-managed Hive executable? [y/N] '
+  read -r answer
+  [[ "${answer}" =~ ^[Yy]$ ]] || { echo "hive shell uninstaller: cancelled"; exit 0; }
+fi
+
+if [[ -n "${executable}" && -f "${executable}" && ! -L "${executable}" ]]; then
+  alias_path="$(dirname "${executable}")/hive"
+  if managed "${alias_path}" && [[ -L "${alias_path}" && "$(readlink "${alias_path}")" == "hv" ]]; then
+    rm -f "${alias_path}"
+  fi
+  rm -f "${executable}"
+fi
+rm -f "${receipt}" "${data_home}/install.sh"
+echo "Hive core removed; project work, XDG config/state, outputs, and agent skills were preserved."
+rm -f -- "$0"
diff --git a/scripts/verify-release b/scripts/verify-release
new file mode 100755
index 00000000..98a232d4
--- /dev/null
+++ b/scripts/verify-release
@@ -0,0 +1,85 @@
+#!/usr/bin/env ruby
+
+require "digest"
+require "json"
+require "open3"
+require "optparse"
+require "tmpdir"
+
+options = {}
+OptionParser.new do |parser|
+  parser.on("--manifest PATH") { |value| options[:manifest] = value }
+  parser.on("--dist-dir PATH") { |value| options[:dist_dir] = value }
+  parser.on("--remote") { options[:remote] = true }
+end.parse!
+abort "verify-release: --manifest is required" unless options[:manifest]
+
+manifest_path = File.expand_path(options[:manifest])
+dist = File.expand_path(options[:dist_dir] || File.dirname(manifest_path))
+manifest = JSON.parse(File.read(manifest_path))
+version = manifest.fetch("version")
+abort "verify-release: invalid semver" unless version.match?(/\A\d+\.\d+\.\d+\z/)
+abort "verify-release: tag/version mismatch" unless manifest["tag"] == "v#{version}"
+targets = manifest.fetch("targets")
+shell_assets = manifest.fetch("shell_assets")
+expected_targets = %w[darwin-arm64 linux-x86_64]
+abort "verify-release: tier-1 target set mismatch" unless targets.map { |row| row["target"] }.sort == expected_targets
+expected_shell_assets = %w[install.sh uninstall-shell.sh]
+unless shell_assets.map { |row| row["asset"] }.sort == expected_shell_assets
+  abort "verify-release: shell asset set mismatch"
+end
+
+records = targets + shell_assets
+records.each do |row|
+  archive = File.join(dist, row.fetch("asset"))
+  abort "verify-release: missing #{archive}" unless File.file?(archive)
+  abort "verify-release: size mismatch for #{archive}" unless File.size(archive) == row.fetch("size")
+  abort "verify-release: digest mismatch for #{archive}" unless Digest::SHA256.file(archive).hexdigest == row.fetch("sha256")
+end
+
+targets.each do |row|
+  archive = File.join(dist, row.fetch("asset"))
+  listing, error, status = Open3.capture3("tar", "-tzf", archive)
+  abort "verify-release: unreadable archive #{archive}: #{error}" unless status.success?
+  %W[hive-#{version}/bin/hv hive-#{version}/bin/hive hive-#{version}/LICENSE].each do |entry|
+    abort "verify-release: #{archive} missing #{entry}" unless listing.lines.map(&:chomp).include?(entry)
+  end
+end
+
+if options[:remote]
+  Dir.mktmpdir("hive-remote-verify") do |directory|
+    records.each do |row|
+      downloaded = File.join(directory, row.fetch("asset"))
+      _out, error, status = Open3.capture3(
+        "curl", "--fail", "--silent", "--show-error", "--location",
+        "--connect-timeout", "10", "--max-time", "120",
+        "--retry", "3", "--retry-delay", "1", "--retry-all-errors",
+        "--output", downloaded, row.fetch("url")
+      )
+      abort "verify-release: remote asset unavailable: #{error}" unless status.success?
+      unless File.size(downloaded) == row.fetch("size")
+        abort "verify-release: remote size mismatch for #{row.fetch('asset')}"
+      end
+      unless Digest::SHA256.file(downloaded).hexdigest == row.fetch("sha256")
+        abort "verify-release: remote digest mismatch for #{row.fetch('asset')}"
+      end
+    end
+  end
+end
+
+Dir.mktmpdir("hive-render-verify") do |directory|
+  _out, error, status = Open3.capture3(
+    File.expand_path("render-packages", __dir__),
+    "--manifest", manifest_path,
+    "--output-dir", directory
+  )
+  abort "verify-release: package rendering failed: #{error}" unless status.success?
+  formula = File.read(File.join(directory, "homebrew/Formula/hive.rb"))
+  pkgbuild = File.read(File.join(directory, "aur/PKGBUILD"))
+  darwin = targets.find { |row| row["target"] == "darwin-arm64" }
+  linux = targets.find { |row| row["target"] == "linux-x86_64" }
+  abort "verify-release: Homebrew digest drift" unless formula.include?(darwin.fetch("sha256"))
+  abort "verify-release: AUR digest drift" unless pkgbuild.include?(linux.fetch("sha256"))
+end
+
+puts "verified Hive v#{version}: #{expected_targets.join(', ')}"
diff --git a/test/acceptance/arch_aur_test.rb b/test/acceptance/arch_aur_test.rb
new file mode 100644
index 00000000..be03826f
--- /dev/null
+++ b/test/acceptance/arch_aur_test.rb
@@ -0,0 +1,12 @@
+require "test_helper"
+
+class ArchAurAcceptanceTest < Minitest::Test
+  def test_aur_package_is_prebuilt_and_does_not_start_daemon
+    root = File.expand_path("../..", __dir__)
+    pkgbuild = File.read(File.join(root, "packaging/aur/PKGBUILD"))
+    hook = File.read(File.join(root, "packaging/aur/hive-bin.install"))
+    assert_includes pkgbuild, "pkgname=hive-bin"
+    refute_match(/ruby/, pkgbuild)
+    refute_match(/systemctl.*enable|systemctl.*start/, hook)
+  end
+end
